
	// function for when item that is editable has been clicked...
	//	should happen when node is clicked
	//	should send the node that was clicked to function
	var InlineEdit = {
		size : 6,
		
		start : function(item, field, size) {
			if (size) this.size = size;
			var initialValue = (item.firstChild) ? item.firstChild.nodeValue : false;
			
			var editItem = document.createElement('input');
			editItem.type = 'text';
			editItem.className = field;
			editItem.size = this.size;
			editItem.value = initialValue;
			editItem.onblur = function(e) { InlineEdit.stop(e, initialValue, this.size); };

			item.parentNode.replaceChild(editItem, item);
			//this.parent.innerHTML = '<input type="text" class="InlineEdit" size="' + size + '" onblur=""/>'
			editItem.focus();
		},

		// function for stopping the edit
		//	should happen when input is blurred
		stop : function(e, initialValue, size) {
			var input = e.srcElement;
			var newValue = input.value;
			var field = input.className;
			var bill = input.parentNode.parentNode;
			
			var newItem = document.createElement('span');
			newItem.onclick = function() { InlineEdit.start(this, field, size); };
			newItem.appendChild(document.createTextNode(input.value));
			input.parentNode.replaceChild(newItem,input);			
			
			if (newValue != initialValue) {
				this.save(bill, field, newValue);
			}
		},
		
		// function for saving the changed value
		// 	should happen after edit has stopped and item value has been changed
		save : function(bill, field, newValue) {
			if (xml_request != null) {
				xml_request.abort();
				xml_request = null;
			}

			// now make a new xml http request object
			xml_request = new XMLHttpRequest();

			// set all the variables and functions needed for a successful ajax call
			xml_request.onload = function() { 									// function to handle the successful adding of a bill
				if (xml_request.responseText != 'true') {						// if bill was successfully added,
					setMessage('error', xml_request.responseText + '<br/><span class="link" onclick="closeMessage(); fetchXML();">Continue</span>', 'icon-error.gif');
				} else {
					/*if (field == 'amount') {
						fetchAmounts();
					} else if (field == 'date') {*/
						fetchXML();
					//}
				}
			}
			xml_request.open("POST", feed.url + "widget/save/", true);					
			xml_request.setRequestHeader("Cache-Control", "no-cache");
			xml_request.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
			xml_request.send("id=" + user.id + "&bill=" + bill.id + "&field=" + field + "&value=" + newValue);
			
		}
	}
